Package org.eclipse.ecf.remoteservice

# Class CallbackRemoteCallListener

java.lang.Object
org.eclipse.ecf.remoteservice.CallbackRemoteCallListener

All Implemented Interfaces:
  `IRemoteCallListener`

public class CallbackRemoteCallListener extends Object implements IRemoteCallListener

Since:
  4.1

## Constructor Summary

Constructors
Constructor
Description
`CallbackRemoteCallListener(IAsyncCallback callback)`

## Method Summary

Modifier and Type
Method
Description
`void`
`handleEvent(IRemoteCallEvent event)`
Handle remote call events.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CallbackRemoteCallListener

public CallbackRemoteCallListener(IAsyncCallback callback)

## Method Details

### handleEvent

public void handleEvent(IRemoteCallEvent event)
Description copied from interface: `IRemoteCallListener`
Handle remote call events. The two remote call events are IRemoteCallStartEvent, and IRemoteCallCompleteEvent

Specified by:
  `handleEvent` in interface `IRemoteCallListener`
Parameters:
  `event` - the event. Will not be `null`.